<?php

namespace Pinpoint\DeliveryDate\Model\Checkout\Config\Ui;

use Magento\Checkout\Model\ConfigProviderInterface;

/**
 * Class Provider
 * @package Pinpoint\DeliveryDate\Model\Checkout\Config\Ui
 */
class Provider implements ConfigProviderInterface
{
    /**
     * @var string
     */
    const MODULE_ENABLED_CONFIG_PATH = 'pinpoint_deliverydate/deliverydate/enable';

    /**
     * @var \Magento\Framework\App\Config\ScopeConfigInterface
     */
    protected $scopeConfig;

    /**
     * Provider constructor.
     * @param \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig
     */
    public function __construct(
        \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig
    ) {
        $this->scopeConfig = $scopeConfig;
    }

    /**
     * Retrieve assoc array of checkout configuration
     *
     * @return array
     */
    public function getConfig()
    {
        return [
            'pinpoint_deliverydate' => [
                'enabled' => $this->scopeConfig->getValue(
                    self::MODULE_ENABLED_CONFIG_PATH,
                    \Magento\Store\Model\ScopeInterface::SCOPE_STORE
                )
            ],
        ];
    }
}